Loading...
Searching...
No Matches
CSOUND_::libsndStatics__ Struct Reference

`#include <csoundCore.h>`

## Data Fields

SNDFILE * | outfile
SNDFILE * | infile
char * | sfoutname
MYFLT * | inbuf
MYFLT * | outbuf
MYFLT * | outbufp
uint32 | inbufrem
uint32 | outbufrem
unsigned int | inbufsiz
unsigned int | outbufsiz
int | isfopen
int | osfopen
int | pipdevin
int | pipdevout
uint32 | nframes
FILE * | pin
FILE * | pout
int | dither

## Field Documentation

## dither

int CSOUND_::libsndStatics__::dither

## inbuf

MYFLT* CSOUND_::libsndStatics__::inbuf

## inbufrem

uint32 CSOUND_::libsndStatics__::inbufrem

## inbufsiz

unsigned int CSOUND_::libsndStatics__::inbufsiz

## infile

SNDFILE* CSOUND_::libsndStatics__::infile

## isfopen

int CSOUND_::libsndStatics__::isfopen

## nframes

uint32 CSOUND_::libsndStatics__::nframes

## osfopen

int CSOUND_::libsndStatics__::osfopen

## outbuf

MYFLT* CSOUND_::libsndStatics__::outbuf

## outbufp

MYFLT* CSOUND_::libsndStatics__::outbufp

## outbufrem

uint32 CSOUND_::libsndStatics__::outbufrem

## outbufsiz

unsigned int CSOUND_::libsndStatics__::outbufsiz

## outfile

SNDFILE* CSOUND_::libsndStatics__::outfile

## pin

FILE* CSOUND_::libsndStatics__::pin

## pipdevin

int CSOUND_::libsndStatics__::pipdevin

## pipdevout

int CSOUND_::libsndStatics__::pipdevout

## pout

FILE * CSOUND_::libsndStatics__::pout

## sfoutname

char* CSOUND_::libsndStatics__::sfoutname